Absolute Time Corrector

Introducing the Absolute Time Corrector

Absolute Time Corrector (ATC) is an award-winning program, which allows you to synchronize your local PC time using NIST (United States National Institute of Standards and Technology) Internet Time Service or LAN time servers.

NIST Internet Time Service allows users to synchronize computer clock via Internet. Time information provided by the service is directly traceable to UTC(NIST). The service responds to time requests from any Internet client in several formats including the DAYTIME, TIME, and NTP protocols.

ATC uses RFC-868 and RFC-2030 time protocols.

RFC-868 (TIME) protocol returns a 32-bit unformatted binary number that represents the time in UTC seconds since January 1, 1900. The server listens for Time Protocol requests on port 37, and responds in either tcp/ip or udp/ip formats.
RFC-2030 (SNTP) is extremely reliable protocol for time-synchronization on the Internet with accuracy from 1 to 50 milliseconds, even over great distances. The server listens for SNTP protocol requests on port 123, and responds in udp/ip format.

Absolute Time Corrector queries NIST timeservers using Internet and then compares NIST time to the time set on host computer. If there is a disparity, ATC automatically adjusts the computer's time to reflect NIST time.

Once set up, the host computer can serve as a timeserver for network of any size. The host can be set to check NIST time as often or seldom as desired, and each computer in the network can likewise be set to check time on the host computer as often as deemed necessary by the network administrator.

Absolute Time Corrector has great, easy-to-use, nice-looking interface. It also offers many useful features, which make time synchronization process fast and easy:

Manual, periodical and wait-for-connection synchronization modes.
Once set up, the host computer can serve as a timeserver to any size LAN.
Easily synchronize your PC's time via the Internet with a single mouse click!
System tray pop-up menu for quick access to main functions.
Hot Keys for main program functions.
Hides in the system tray and does not require any desktop space.
Automatic Internet connection checking.
Easy access to more than 250 exact time NIST Atomic Clock servers.
Supports RFC-868 (TIME) and RFC-2030 (SNTP) time synchronization protocols.
Highly stable and precise. Program automatically selects the fastest server.
Multithreaded time synchronization.
Function for checking time servers' response.
Automatic search and selection of the fastest Atomic Time server.
Socks v4, v4A, v5 proxy server support.
Absolute Time Server can be installed as an NT service. (Please, use free additional module.)
Can enable a sound alarm to verify synchronization.
Built-in business calendar for all your needs.
Auto-run on Windows startup option.
Easy-to-use user interface.
Supports Windows XP styles.
Small download size and easy installation.
Built-in Automatic Updates Checker.
And more convenient features you need every day.
User-friendly technical support.

Minimum system requirements

The listing below specifies the minimum system requirements for running ATC:

Microsoft Windows® 9x/ ME/NT/2000/XP/Server 2003.
Intel Pentium® with 16 MB RAM (or higher).
Screen resolution 800x600 (or higher).
16MB of free memory.

Since ATC uses some features of Windows 95® and Windows NT®, it will not run on Windows 3.x® with Win32s or any version of Windows NT® prior to 4.0.

We hope, you will like our program and will find it easy to use!
We are glad to answer any your questions.
All your offers on improvement of this program are important for us - write us !


How to order

Ordering and Payments methods:

Click here to BUY NOW The software is available for immediate free download. Once you fill out online order form and purchase the product, a key will be sent to you via email to unlock the software for permanent use. You may download the trial software before or after you complete the purchase process.

Your license will be valid for all future versions of our products. You will never be charged for upgrades and updates!

Online registration via eMetrix:

Order online using credit card:
This is the fastest and the easiest way to order our products. Your credit card information is sent directly to the credit card processor via secure internet connection, so that nobody else can access this information You can go directly to the order page.
Check / Money Order:
Click here to go to the check order form. Fill out the applicable information, and send the form with payment to the address located at the top of the form.
Credit Card Order by Fax:
Click here to go to the fax order form. Fill out the applicable information, and send the form to the fax number located at the top of the form.
Credit Card Order by Phone:
To place your order by phone call us with your credit card information ready at one of the numbers below:

Toll Free (US and Canada only): 888-447-1175
Standard (International): 801-444-2837
Purchase Order:
We accept purchase orders from qualified corporations and organizations. Please submit the purchase order to us by fax (801-497-9456) or email. Please include complete information including the product you wish to purchase, your billing address, phone number, etc. You MUST include an email address for product delivery.

Product Pricing:

Quantity
Price per unit
1
$19.97 US
2..9
$14.97 US
10..49
$9.97 US
50..100
$5.97 US
Site license
$600.00 US
Unlimited license
$1200.00 US

Important: Please note that we DO NOT accept online orders from free or anonymous e-mail addresses like yahoo.com, usa.net, hotmail.com etc. If that's the only address that you have, please let us know and we'll find a solution to this problem. Alternatively you can pay by check or wire transfer. We are sorry for the inconvenience. Thank you for your understanding.


FlexibleSoft Co.

At Flexiblesoft, we create high-quality programs for the Internet. Here you will find completely configurable programs that are both easy to setup and easy to use. Each program offers an incredibly user-friendly interface.

You can always find on our site information about new version of Flexiblesoft's products, announces, new beta-versions, special offers and more. Please visit our website - http://www.flexiblesoft.com

  • Flexiblesoft Dialer II

    Flexiblesoft Dialer II is a multipurpose utility designed to assist you with DUN connections to the Internet. It allows you to easily establish an Internet connection by simply selecting it from a handy icon in your system tray. Flexiblesoft Dialer II can automatically launch one or more of your favorite applications after an active Internet connection is established, and then close them after disconnection. Using Flexiblesoft Dialer, you can schedule your computer to automatically connect to the Internet, automatically adjust your computer's clock to atomic time, automatically redial lost connections, and much more. The "Keep alive" function prevents your ISP from disconnecting you due to inactivity on your side. Flexiblesoft Dialer is highly configurable and incredibly easy to set up and use.

    Flexiblesoft Dialer II records statistics for each on-line session, regardless of which dial-up program you use. These generated log files may be exported as Microsoft Excel spreadsheets. Flexiblesoft Dialer II is an well-implemented program, and features multi-language support.

  • Energy Spy
    Energy Spy is a small program to schedule a shutdown, reboot, logoff, poweroff, standby, turn off monitor, and hibernate a certain time on the local. It also supports command line options that allow power-off to be used in batch scripts. You can set a keyboard shortcut for any action - shutdown, reboot, logoff, poweroff, standby, and hibernate. In addition, Energy Spy can automatically terminate applications if they are not responding and many additional features, that are all accessible from the tray icon. You can open/close CD-drives, adjust computer time via internet time servers.

    Please visit our website - http://www.flexiblesoft.com


What's new

Version 3.0

  • Some small improvements and fixes.

Version 3.0 beta 1

  • Added SNTP support for LAN.
  • Added "Hours Correction" option.
  • Significanly improved interface.
  • Added other helpful improvements.

Version 2.92

  • Fixed the bug that caused synchronization period settings be off by 4 seconds each time the previoius session was not closed correctly.

Version 2.91

  • Changed AM/PM time display and the error associated with it.
  • Today we have done a thorough testing of ATC v2.91 under Windows Server 2003. The program worked flawlessly in all modes and we could not find any incompatibility problems.

Version 2.9

  • Significantly improved precision of synchronization.
  • The work of clock synchronization was improved.

Version 2.8

  • New expanded capabilities for setting time correction intervals.

Version 2.72

  • Fixed the bug that in some cases blocked closing program.
  • Some small improvements and fixes.

Version 2.7

  • The work of command line parameters was improved.

Version 2.63

  • Some small improvements and fixes.

Version 2.6 beta 2

  • In our new beta version of the software we've improved wizard and have changed notification algorithm for new version releases.

Version 2.6 beta 1

  • We have added configuration wizard to this beta version. I hope that it will help you setup ATC quickly and correctly.

Version 2.51

  • Some small improvements.

Version 2.5 beta 1

  • The work of clock synchronization was improved.
  • Some small improvements.
  • "Adjust minutes and seconds only" feature added.

Version 2.3

  • Calendar interface is improved.
  • Online support forum has been opened.
  • Help file is improved.

Version 2.21

  • Added command line parameters support.

Version 2.2

  • Some small improvements.
  • Help file is improved.

Version 2.1

  • Fixed "File not found" bug.
  • Some small bugs were fixed.
  • Some small improvements.

Version 2.0

  • Automatic Updates Checker added. Now it's very easy to be informed about ATC updates.
  • Some small improvings.

Version 2.0 beta 1

  • Synchronization time via SNTP protocol (in addition to TIME protocol).
  • Working through SOCKS5, SOCKS4A, SOCKS4 proxy .
  • Stability and exactitude improved (program automatically selects the fastest server).
  • Added Hot Keys editing features.
  • Many new options available.
  • Improved user interface.

Version 1.71

  • Fixed a small bug in the save settings.

Version 1.7

  • Fixed bug with Multi-user environment under Windows NT/2000/XP.
  • Highly improved stability.

Version 1.6

  • Added Sounds tab.
  • Some small improvements.

Version 1.51

  • Help file is improved.
  • Some small improvements.

Version 1.5

  • Improved user interface and added support Windows XP themes.
  • We have opened new domain http://www.timeutilites.com.

Version 1.4

  • The algorithm of testing time servers is changed completely.
  • Some small bugs were fixed.

Version 1.3

  • Added new feature 'Show Calendar'.
  • Some small improvements.
  • Some small bugs were fixed.

Version 1.2

  • Some small improvements.

Version 1.1 release

  • Some small bugs were fixed.

Version 1.1 beta 1

  • Some small bugs were fixed.
  • The work of clock synchronization was improved.
  • Local Area Network time servers support is added.
  • The feature of testing the time servers is added.
  • The feature of editing servers list is added.
  • Added system Hot keys. (CTRL + ALT + C)
  • Fixed a small bug with show of the help file.
  • Fixed memory usage problems.
  • Help file is improved.

Version 1.0 release

  • Some small bugs were fixed.

Version 1.0 beta 2

  • Some small bugs were fixed.

Version 1.0 beta 1

  • first public release.


Adjust Time Now

"Adjust Time Now" page.

"Manual Adjust" section

Local time box shows the time reported by your PC.
Atomic time shows the time value reported by the atomic clock (or other server).
Difference window displays how far off your PC is from the time server.
The Get now! button will cause the application to get new time from the time server and compare it to your local PC time.
The Adjust button will set your PC clock to match the time server (taking into account your time zone or hour offset, of course).

"Auto Adjust" section

Adjust on startup - auto adjust system time on startup.
Hours Correction - turn this option on if you want to correct time at the top of the hour.
You can also use the Synchronize and exit option. It will remove Absolute Time Corrector from the computer's memory after the clock synchronization.
Adjust when connection is established mode means that ATC will automatically synchronize the clock every time your computer establishes a dial-up connection.
Adjust every option. Set your preferred update interval in the appropriate box.


Connection

"Connection" page.

"Proxy Settings" section

Proxy server is a special program, which allows LAN users to work with Internet (when only one machine has the "real" IP address). Please contact your network administrator if you're not sure how you're connected, and how to set appropriate options here. Such popular program as ICQ works in LAN using Socks5 protocol.

I use a proxy server checkbox enables the proxy server support.
Type - Now you have to specify your type (Absolute Time Corrector supports SOCKS v4, SOCKS v4A and SOCKS v5 proxies).
Server: Proxy-server address. May be either domain or IP-address.
Examples: proxy.isp.com, 65.166.138.178.
Port: Server port. Usually, it is 1080. Don't confuse Socks5 proxy with http and ftp proxies, which are on 3128 and 3121 ports by default. The program doesn't work through http or ftp proxies.
Login: The name (login) of Socks5 proxy server user.
Password: The password for Socks5 proxy server user.

Note

  • Outside of business sites, most users really shouldn't need to set this option.
  • Proxy authorization has nothing to do with the Dial-Up Networking username and password.
  • Check with your site administrator for this information if you need assistance with routing through a proxy server.
  • Please note: only SOCKS v5 proxy supports authentication.


Settings

"Settings" page.

"Time Sources" section

Here you can select the most suitable source for the precision time.

If your computer does not have a direct internet access and you are not required to use proxy server, we recommend you choose "External SNPT Servers".
If you need a proxy server for establishing the Internet connection, we advise you select "External TIME Servers".
If your computer is used as a part of the domain that has a time server - we recommend you use option "LAN SNTP Servers" because SNTP protocol has higher precision that TIME protocol.
higher precision that TIME protocol. "LAN TIME Servers" is left unchanged, so it is compatible with the previous program versions and networks that do not have SNTP servers.

"Additional" section

Work as Time Server: Absolute Time Corrector is able to work as a time server so you can easily synchronize your clock to any computer in your Local Area Network.
Adjust minutes and seconds only: If your daylight settings are incorrect, check this option to adjust only minutes and seconds.
Run on Windows startup: Launches Absolute Time Corrector when Windows launches.
Minimize on startup: Minimizes the main window on ATC's startup.
Use hotkeys: This allows quick access to time synchronization.


Sounds

"Sounds" page.

Lists the program events to which you can assign sounds. To assign a sound to a program event, click a program event (such as End query) under Events, and then click a sound under Sounds.

If you do not see a sound in Sounds, you can click Browse... to search for sound files on your computer.
Sound Notifications: Use this feature to enable or disable playing sound after time adjustment.


Select time servers

Time Servers dialog

This dialog is intended for atomic time server selection.

You can add, delete and test servers, using context menu, appearing on mouse right-click.


Command line parameters

The command line is a text string that is passed to the system whenever any program is executed; it contains the path to the program with a following set of parameters. In Windows, you can start a program using the Start Menu "Run..." command or by clicking on a Shortcut on the Desktop or in the Start menu. If you start a program by clicking a Shortcut, you can edit the command line for the program in Shortcut Properties' "Target" input box.

Usage

atc.exe [options]

-s Quick adjust and exit.

For example: atc.exe -s


Time Zone Editor

What is it

Time Zone Editor is a small program by Microsoft that can be used to create and edit time zone entries in Date/Time settings.

Why you may need Time Zone Editor

It is because in some Windows 95/98/NT/2000 versions Time Zone records are incomplete or incorrect, especially Daylight Savings start and end times (DST). As a result, ATC may show a wrong time for such timezones, and in the case if your current timezone information is incorrect, the times in all other time zones will be misleading.

Download Time Zone Editor

You may download Microsoft Time Zone Editor here (23 Kb).

How to use Time Zone Editor

In short, just select the desired time zone from list, press Edit button, and set appropriate values for Daylight Saving Time start and end. To find more, see editor’s Help.


Frequently Asked Questions (FAQ)

  1. How come Absolute Time Corrector always sets my clock off by an hour (or some increment)?
  2. What is a proxy server? What is proxy authorization or proxy authentication?
  3. Does Absolute Time Corrector work with Windows XP? How about Windows 3.1? Etc.
  4. How do you disable automatic updates of the program?
  5. I got the software loaded, but can't get it to work. I keep getting a "Time servers are inaccessible" screen.
  6. I am a registered user do I have to pay for update?

1. How come Absolute Time Corrector always sets my clock off by an hour (or some increment)?

You have one of these problems:

  1. Your Windows Date/Time settings have the wrong time zone or daylight savings time setting. Click here for instructions on how to check your time zone settings. This is the most common error!
  2. You are using a time zone that Microsoft did not implement correctly (they set the wrong daylight savings time information in some cases). Click here to download TZEDIT, a Windows program from Microsoft that allows you to edit the time zone settings.

2. What is a proxy server? What is proxy authorization or proxy authentication?

Proxy server is a special program, which allows LAN users to work with Internet (when only one machine has the "real" IP address). Please contact your network administrator if you're not sure how you're connected, and how to set appropriate options here. Such popular program as ICQ works in LAN using Socks5 protocol.

Proxy authorization or proxy authentication is when an application is forced to use a username/password combination to gain access to the proxy server. You'll know if you have this beast if you have to enter a special username/password each time to start an Internet application like Netscape or Internet Explorer. Again, its only something you'd find in a work enviroment (usually).

Tip: Services like AT&T WorldNet, America Online, and CompuServe do NOT use a proxy server nor do they require proxy authorization.

3. Does Absolute Time Corrector work with Windows XP? How about Windows 3.1? Etc.

Windows 3.1 | No
Windows NT 3.51 | No
Windows CE | No
Windows NT 4.0 | Yes
Windows 2000 | Yes
Windows XP | Yes
Windows Server 2003 | Yes
Windows 95 | Yes
Windows 98 | Yes
Windows ME | Yes

4. How do you disable automatic updates of the program?

You can turn off the option that automatically notifies you about new version releases. Right-click the program's icon in the system tray and check off "Allow auto update".

5. I got the software loaded, but can't get it to work. I keep getting a "Time servers are inaccessible" screen.

The problem you describe may arise in two cases:

1. No access to the Internet.

1.1. Access blocked by your firewall (TIME protocol needs port 37, SNTP - 123)
1.2. You are using proxies that do not support Sock 4, 4.5 or 5; however, that is not very likely. Take a look at option "Use authentication". If your server does not require authentication, this option should be off. If it requires authentication - otherwise. Anyhow, take a look at logs of your proxy, the answer may be there.

2. Time server you chose is not available (or is not online). We recommend using 5-8 time servers; if you are using Absolute Time Corrector 2.0 or above, just choose all time servers and the program will automatically find the fastest one among those that are online. To test the server, choose the dialog window by clicking right button of your mouse when the cursor is on the server list.

6. I am a registered user do I have to pay for update?

The key you received is valid for all future versions of Absolute Time Corrector. Note, that when a new version of Absolute Time Corrector has released, you're able to download and install it, and continue using Absolute Time Corrector as a registered customer.


Program support

Before you contact us, please do the following:

  • Be sure that you're doing everything right. We all make mistakes sometimes… Be attentive.
  • Take a look at the Help: it may already contain an answer to your question. A lot of people ask us something like "how do I…", though the complete information is there (in the document you're reading now).
  • Visit ATC home page in the Internet at http://www.adjusttime.com. It's a good chance that you'll find the newer version of ATC there; we're trying to update the program once a month or even more frequently - when our stuff is not on vacations, of course. Also, if the serious bug has been found in the program, but the new version is not ready yet, we make the hot fix for it.

If You still have a problem with ATC and noting else helps, please contact technical support stuff at: support@adjusttime.com

Please inform us about the following:

  • ATC version (from About tab)
  • ATC registration name(if you're a registered user) - this will help us to process Your request faster where did You get ATC (http or ftp site)
  • Windows 95/98/NT/2000 version (including service packs and other fixes installed), US or international, OEM or not
  • Computer information: CPU type and speed, amount of memory installed
  • Description of Your problem (as much information as possible to retrieve the problem) any additional information, which may help.

Note

  • You may want to read the "How to Determine the Version of Windows 95 in Use" article by Microsoft. Use the following URL:http://support.microsoft.com/support/kb/articles/q158/2/38.asp
  • In order to get the complete computer information (working under Windows 95), open the Control Panel, click on "System" applet and press "Print" on "Device Manager" tab.

We'll try to help you as fast as possible, usually in one or two business days.

If you have any comments or suggestions for the next releases, please feel free to post them to us.


Program Overview

  • General information
  • Adjust Time Now! tab
  • Connections tab
  • Sounds tab
  • Settings tab
  • About tab

General information

To begin, right-click the mouse icon in your systray (near the time, at the bottom right of your screen.) From the context-sensitive menu, choose Settings Dialog.... The Absolute Time Corrector Control Panel appears.

Tip: Please ensure your Windows Time Zone setting is correct!
To check it: Start menu, Settings, Control Panel, then open up the Date/Time icon and click on the tab marked Time Zone.

To top

Adjust Time Now! tab:

Manual Adjust section:

  • Local time box shows the time reported by your PC..
  • Atomic time shows the time value reported by the atomic clock (or other server).
  • Difference window displays how far off your PC is from the time server.
  • The Get now! button will cause the application to get new time from the time server and compare it to your local PC time.
  • The Adjust button will set your PC clock to match the time server (taking into account your time zone or hour offset, of course).

Auto Adjust section:

  • Hours Correction - turn this option on if you want to correct time at the top of the hour.
  • Adjust when connection is established mode means that ATC will automatically synchronize the clock every time your computer establishes a dial-up connection.
  • "For a periodical synchronization you have to choose the Adjust every option. Set your preferred update interval in the appropriate box.
  • Adjust on startup - adjust time on the Absolute Time Correctorat startup.

When running in two last modes ATC hides the main window and places its icon into the System Tray.

To top

Connections tab:

Proxy settings section:

Proxy server is a special program, which allows LAN users to work with Internet (when only one machine has the "real" IP address). Please contact your network administrator if you're not sure how you're connected, and how to set appropriate options here. Such popular program as ICQ works in LAN using Socks5 protocol.

  • Address: Proxy-server address. May be either domain or IP-address. Examples: proxy.isp.com, 65.166.138.178.
  • Port: Server port. Usually, it is 1080. Don't confuse Socks5 proxy with http and ftp proxies, which are on 3128 and 3121 ports by default. The program doesn't work through http or ftp proxies.
  • Login: The name (login) of Socks5 proxy server user.
  • Password: The password for Socks5 proxy server user.

Note

  • Outside of business sites, most users really shouldn't need to set this option.
  • Proxy authorization has nothing to do with the Dial-Up Networking username and password.
  • Check with your site administrator for this information if you need assistance with routing through a proxy server.

To top

Settings tab:

If your computer is a member of a domain, you should select Use LAN servers. If your computer is not a member of a domain, you can synchronize your computer clock with Internet time servers.

Time Servers section:

  • You can select any number of servers. (We do not recommend you choose more than 4-6 of time servers.)
  • Use Select... button to manage list of time servers

Additional section:

  • Work as Time Server
    ATC is able to work as a time server so you can easily synchronize your clock to any computer in your LAN.
  • Run on Windows startup
    Launches Absolute Time Corrector when Windows launches.
  • Minimize on startup
    Minimizes the main window on ATC's startup.
  • Use hotkeys
    This allows quick access to time synchronization.

To top

Sounds tab:

Lists the program events to which you can assign sounds. To assign a sound to a program event, click a program event (such as End query) under Events, and then click a sound under Sounds.

If you do not see a sound in Sounds, you can click Browse... to search for sound files on your computer.

  • Sound Notifications
    Use this feature to enable or disable playing sound after time adjustment.

To top

About tab

About section:

  • For more information about Absolute Time Corrector please visit Timeutilites home page.

To top


Time Zone Editor

Quick start

What is it

To activate the Settings dialog, right-click on the tray icon and select "Settings Dialog…"

Why you may need Time Zone Editor

It is because in some Windows 95/98/NT/2000 versions Time Zone records are incomplete or incorrect, especially Daylight Savings start and end times (DST). As a result, ATC may show a wrong time for such timezones, and in the case if your current timezone information is incorrect, the times in all other time zones will be misleading.

Download Time Zone Editor

Previously available for download as one of the Windows 95 Kernel Toys, Time Zone Editor is now part of Windows 98 Resource Kit, Windows NT 4.0 Resource Kit, and Windows 2000 Resource Kit. Find the directory tools\reskit\config on your Windows installation CD, and run Tzedit.exe. Alternatively you may download it here (23 Kb).

How to use Time Zone Editor

In short, just select the desired time zone from list, press Edit button, and set appropriate values for Daylight Saving Time start and end. To find more, see editor’s Help.